import request from '@/utils/request'

// 查询标记物管理列表
export function listMarker(query) {
  return request({
    url: '/management/marker/list',
    method: 'get',
    params: query
  })
}

// 查询标记物管理详细
export function getMarker(markerId) {
  return request({
    url: '/management/marker/' + markerId,
    method: 'get'
  })
}

// 新增标记物管理
export function addMarker(data) {
  return request({
    url: '/management/marker',
    method: 'post',
    data: data
  })
}

// 修改标记物管理
export function updateMarker(data) {
  return request({
    url: '/management/marker',
    method: 'put',
    data: data
  })
}

// 删除标记物管理
export function delMarker(markerId) {
  return request({
    url: '/management/marker/' + markerId,
    method: 'delete'
  })
}

// 导出标记物管理
export function exportMarker(query) {
  return request({
    url: '/management/marker/export',
    method: 'get',
    params: query
  })
}